function trace_parametrees_pol(thetamin,thetamax,ngra,thetach,nomsort)

% trac de courbes en polaire r(theta)
%
%
% trace_parametrees_pol(thetamin,thetamax,ngra,thetach,nomsort) :
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  
%
%	variables d'entres : 
%     * tmin, tmax : dbut et fin de l'intervalle d'tude
%     * ngra : nombre de point pour le trac (valeurs rpartie linairement)
%     * thetach est une chane de caractre reprsentant la fonction r(theta)
%       de la forme 'r(th)' o th est la seule variable
%     * nomsort : contient l'ventuel nom du fichier eps de sortie (sans extension eps) 
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

thetafcn=vectorize(char(thetach));
th=linspace(thetamin,thetamax,ngra);
rho=eval(thetafcn);
clf;
if length(rho)==1
   rho=rho*ones(size(th));
end
polar(th,rho);
if nargin==5
   eval(['print -depsc ',nomsort]);
end


